local defaults = {
	department = {
		name = "rename me",
		get_schematic = function(edges)
			local schem = {size = {x = 1, y = 1, z = 1}, data = {{name = "ikea:error"}}}
			return schem, nil
		end,
		on_place = function(context, vm, x, z)
		end,
	},
}

function ikea.register_department(def_raw)
	def_raw = def_raw or {}

	-- Use new table to avoid changing the defaults table
	local def = {}
	table.merge(def, defaults.department)
	table.merge(def, def_raw)

	table.insert(ikea.mapgen_options.departments, def)
end
